<?php
namespace Bitrix\Main;

abstract class Response
{
	private $buffer;

	/**
	 * @var Context
	 */
	private $context;

	public function __construct(Context $context)
	{
		$this->context = $context;
	}

	public function Clear()
	{

	}

	public function Redirect($url)
	{

	}

	public function Flush($text)
	{
		//$this->WriteHeaders();
		$this->WriteBody($text);
	}

	private function WriteBody($text)
	{
		echo $text;
	}

}
